io.netty.handler.codec.redis

## Class BulkStringHeaderRedisMessage

- java.lang.Object
- - io.netty.handler.codec.redis.BulkStringHeaderRedisMessage

All Implemented Interfaces:
  RedisMessage

    @UnstableApi
    public class BulkStringHeaderRedisMessage
    extends Object
    implements RedisMessage

The header of Bulk Strings in RESP.

### Constructor Summary

Constructors
Constructor and Description
`BulkStringHeaderRedisMessage(int bulkStringLength)` Creates a `BulkStringHeaderRedisMessage`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `bulkStringLength()` Return `bulkStringLength` for this content.
`boolean` `isNull()` Returns whether the content of this message is `null`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkStringHeaderRedisMessage

    public BulkStringHeaderRedisMessage(int bulkStringLength)

Creates a `BulkStringHeaderRedisMessage`.

Parameters:
  `bulkStringLength` - follow content length.

### Method Detail

#### bulkStringLength

    public final int bulkStringLength()

Return `bulkStringLength` for this content.

#### isNull

    public boolean isNull()

Returns whether the content of this message is `null`.

Returns:
  indicates whether the content of this message is `null`.